
Kune - Defect #587
Exception when load kune in inbox (in a wave) and you try to set your prefs
12/22/2014 09:56 AM - Vicente J. Ruiz Jurado

Status: Closed Start date: 12/22/2014
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Resolution: Tags:
Description

Mon Dec 22 00:29:28 GMT+100 2014 - Token: 1419204568113 2 exceptions caught: Exception caught: (TypeError) : Cannot read
property 'getName_209_g$' of undefined; Exception caught: (TypeError) : Cannot read property 'getName_209_g$' of undefined
Unknown.fillInStackTrace_0_g$ (ws-0.js@36:16599) Unknown.Throwable_3_g$ (ws-0.js@8:16554) Unknown.Exception_3_g$
(ws-0.js@18:16697) Unknown.RuntimeException_3_g$ (ws-0.js@18:16738) Unknown.UmbrellaException_3_g$
(ws-0.js@25:293382) Unknown.doFire_0_g$ (ws-0.js@13:293156) Unknown.fireEvent_22_g$ (ws-0.js@8:293213)
Unknown.fireEvent_7_g$ (ws-0.js@18:16992) Unknown.fire_21_g$ (ws-0.js@17:41906) Unknown.checkGroupAndToolChange_0_g$
(ws-0.js@20:84005) Unknown.setState_2_g$ (ws-0.js@8:84356) Unknown.onSuccess_139_g$ (ws-0.js@23:84547)
Unknown.onSuccess_140_g$ (ws-0.js@8:84560) Unknown.onResponseReceived_9_g$ (ws-0.js@27:337691)
Unknown.fireOnResponseReceived_0_g$ (ws-0.js@17:293620) Unknown.onReadyStateChange_0_g$ (ws-0.js@28:293928)
Unknown.<anonymous> (ws-0.js@18:356707) Unknown.apply_45_g$ (ws-0.js@28:268313) Unknown.entry0_0_g$
(ws-0.js@16:268369) Unknown.<anonymous> (ws-0.js@14:268349) Caused by: Token: 1419204568123 Exception caught:
(TypeError) : Cannot read property 'getName_209_g$' of undefined Unknown.fillInStackTrace_0_g$ (ws-0.js@36:16599)
Unknown.Throwable_3_g$ (ws-0.js@8:16554) Unknown.Exception_3_g$ (ws-0.js@18:16697) Unknown.RuntimeException_3_g$
(ws-0.js@18:16738) Unknown.UmbrellaException_3_g$ (ws-0.js@25:293382) Unknown.doFire_0_g$ (ws-0.js@13:293156)
Unknown.fireEvent_22_g$ (ws-0.js@8:293213) Unknown.fireEvent_7_g$ (ws-0.js@18:16992) Unknown.fire_45_g$
(ws-0.js@17:121926) Unknown.setTheme_0_g$ (ws-0.js@41:122067) Unknown.setState_11_g$ (ws-0.js@8:122054)
Unknown.onGroupChanged_4_g$ (ws-0.js@38:122120) Unknown.dispatch_31_g$ (ws-0.js@16:41920) Unknown.dispatch_32_g$
(ws-0.js@8:41924) Unknown.dispatch_0_g$ (ws-0.js@8:7423) Unknown.dispatchEvent_0_g$ (ws-0.js@14:16871)
Unknown.doFire_0_g$ (ws-0.js@9:293140) Unknown.fireEvent_22_g$ (ws-0.js@8:293213) Unknown.fireEvent_7_g$
(ws-0.js@18:16992) Unknown.fire_21_g$ (ws-0.js@17:41906) Unknown.checkGroupAndToolChange_0_g$ (ws-0.js@20:84005)
Unknown.setState_2_g$ (ws-0.js@8:84356) Unknown.onSuccess_139_g$ (ws-0.js@23:84547) Unknown.onSuccess_140_g$
(ws-0.js@8:84560) Unknown.onResponseReceived_9_g$ (ws-0.js@27:337691) Unknown.fireOnResponseReceived_0_g$
(ws-0.js@17:293620) Unknown.onReadyStateChange_0_g$ (ws-0.js@28:293928) Unknown.<anonymous> (ws-0.js@18:356707)
Unknown.apply_45_g$ (ws-0.js@28:268313) Unknown.entry0_0_g$ (ws-0.js@16:268369) Unknown.<anonymous>
(ws-0.js@14:268349) Caused by: Token: 1419204568124 (TypeError) : Cannot read property 'getName_209_g$' of undefined
Unknown.select_3_g$ (ws-0.js@36:122257) Unknown.onGsThemeChange_0_g$ (ws-0.js@23:122302) Unknown.dispatch_79_g$
(ws-0.js@16:121940) Unknown.dispatch_80_g$ (ws-0.js@8:121944) Unknown.dispatch_0_g$ (ws-0.js@8:7423)
Unknown.dispatchEvent_0_g$ (ws-0.js@14:16871) Unknown.doFire_0_g$ (ws-0.js@9:293140) Unknown.fireEvent_22_g$
(ws-0.js@8:293213) Unknown.fireEvent_7_g$ (ws-0.js@18:16992) Unknown.fire_45_g$ (ws-0.js@17:121926)
Unknown.setTheme_0_g$ (ws-0.js@41:122067) Unknown.setState_11_g$ (ws-0.js@8:122054) Unknown.onGroupChanged_4_g$
(ws-0.js@38:122120) Unknown.dispatch_31_g$ (ws-0.js@16:41920) Unknown.dispatch_32_g$ (ws-0.js@8:41924)
Unknown.dispatch_0_g$ (ws-0.js@8:7423) Unknown.dispatchEvent_0_g$ (ws-0.js@14:16871) Unknown.doFire_0_g$
(ws-0.js@9:293140) Unknown.fireEvent_22_g$ (ws-0.js@8:293213) Unknown.fireEvent_7_g$ (ws-0.js@18:16992)
Unknown.fire_21_g$ (ws-0.js@17:41906) Unknown.checkGroupAndToolChange_0_g$ (ws-0.js@20:84005) Unknown.setState_2_g$
(ws-0.js@8:84356) Unknown.onSuccess_139_g$ (ws-0.js@23:84547) Unknown.onSuccess_140_g$ (ws-0.js@8:84560)
Unknown.onResponseReceived_9_g$ (ws-0.js@27:337691) Unknown.fireOnResponseReceived_0_g$ (ws-0.js@17:293620)
Unknown.onReadyStateChange_0_g$ (ws-0.js@28:293928) Unknown.<anonymous> (ws-0.js@18:356707) Unknown.apply_45_g$
(ws-0.js@28:268313) Unknown.entry0_0_g$ (ws-0.js@16:268369) Unknown.<anonymous> (ws-0.js@14:268349)
￼￼￼Mon Dec 22 00:29:27 GMT+100 2014 - Token: 1419204567177 (TypeError) : Cannot read property 'getGroup_14_g$' of
undefined Unknown.setState_6_g$ (ws-0.js@26:116479) Unknown.init_18_g$ (ws-0.js@8:116457)
Unknown.UserOptStylePresenter_2_g$ (ws-0.js@8:116744)
Unknown.cc$kune$gspace$client$options$style$UserOptStylePresenter_cc$kune$gspace$client$options$style$UserOptStylePresenter_methodInjection_2_g$ (ws-0.js@10:116791) Unknown.get_Key$type$cc$kune$gspace$client$options$style$UserOptStylePresenter$_annotation$$none$$_0_g$ (ws-0.js@22:116844) Unknown.get_Key$type$cc$kune$gspace$client$options$style$UserOptStyle$_annotation$$none$$_0_g$
ter_methodInjection_2_g$ (ws-0.js@10:116791)
Unknown.get_Key$type$cc$kune$gspace$client$options$style$UserOptStylePresenter$_annotation$$none$$_0_g$
(ws-0.js@22:116844) Unknown.get_Key$type$cc$kune$gspace$client$options$style$UserOptStyle$_annotation$$none$$_0_g$
(ws-0.js@24:116829) Unknown.get_749_g$ (ws-0.js@30:116927) Unknown.get_750_g$ (ws-0.js@15:116931)
Unknown.createAll_0_g$ (ws-0.js@12:11707) Unknown.createDialog_1_g$ (ws-0.js@28:86106)
Unknown.createDialogIfNecessary_0_g$ (ws-0.js@10:86121) Unknown.showImpl_0_g$ (ws-0.js@8:86229) Unknown.show_25_g$
(ws-0.js@8:86223) Unknown.show_26_g$ (ws-0.js@24:86360) Unknown.show_30_g$ (ws-0.js@43:113614)
Unknown.actionPerformed_88_g$ (ws-0.js@22:113658) Unknown.execute_1_g$ (ws-0.js@49:13480) Unknown.execute_136_g$
(ws-0.js@22:345945) Unknown.$executeScheduled_0_g$ (ws-0.js@40:269486) Unknown.runScheduledTasks_0_g$
(ws-0.js@9:269208) Unknown.flushFinallyCommands_0_g$ (ws-0.js@26:269285) Unknown.exit_0_g$ (ws-0.js@53:268394)
Unknown.entry0_0_g$ (ws-0.js@5:268387) Unknown.<anonymous> (ws-0.js@14:268349)
￼￼￼Mon Dec 22 00:29:27 GMT+100 2014 - Token: 1419204567157 (TypeError) : Cannot read property 'getGroup_14_g$' of
undefined Unknown.setState_6_g$ (ws-0.js@26:116479) Unknown.init_18_g$ (ws-0.js@8:116457)
Unknown.UserOptStylePresenter_2_g$ (ws-0.js@8:116744)
Unknown.cc$kune$gspace$client$options$style$UserOptStylePresenter_cc$kune$gspace$client$options$style$UserOptStylePresenter_methodInjection_2_g$ (ws-0.js@10:116791) Unknown.get_Key$type$cc$kune$gspace$client$options$style$UserOptStylePresenter$_annotation$$none$$_0_g$ (ws-0.js@22:116844) Unknown.get_Key$type$cc$kune$gspace$client$options$style$UserOptStyle$_annotation$$none$$_0_g$
ter_methodInjection_2_g$ (ws-0.js@10:116791)
Unknown.get_Key$type$cc$kune$gspace$client$options$style$UserOptStylePresenter$_annotation$$none$$_0_g$
(ws-0.js@22:116844) Unknown.get_Key$type$cc$kune$gspace$client$options$style$UserOptStyle$_annotation$$none$$_0_g$
(ws-0.js@24:116829) Unknown.get_749_g$ (ws-0.js@30:116927) Unknown.get_750_g$ (ws-0.js@15:116931)
Unknown.createAll_0_g$ (ws-0.js@12:11707) Unknown.createDialog_1_g$ (ws-0.js@28:86106)
Unknown.createDialogIfNecessary_0_g$ (ws-0.js@10:86121) Unknown.showImpl_0_g$ (ws-0.js@8:86229) Unknown.show_25_g$
(ws-0.js@8:86223) Unknown.show_26_g$ (ws-0.js@24:86360) Unknown.show_30_g$ (ws-0.js@43:113614)
Unknown.actionPerformed_88_g$ (ws-0.js@22:113658) Unknown.execute_1_g$ (ws-0.js@49:13480) Unknown.execute_136_g$
(ws-0.js@22:345945) Unknown.$executeScheduled_0_g$ (ws-0.js@40:269486) Unknown.runScheduledTasks_0_g$
(ws-0.js@9:269208) Unknown.flushFinallyCommands_0_g$ (ws-0.js@26:269285) Unknown.exit_0_g$ (ws-0.js@53:268394)
Unknown.entry0_0_g$ (ws-0.js@5:268387) Unknown.<anonymous> (ws-0.js@14:268349)
￼￼￼Mon Dec 22 00:29:26 GMT+100 2014 - Error in 'onModuleLoad()' method
￼￼￼Mon Dec 22 00:29:25 GMT+100 2014 - Error in 'onModuleLoad()' method
￼￼￼Mon Dec 22 00:24:43 GMT+100 2014 - Your email is not verified, this site functionality will work better if you <a
href="#prefs">verify your email</a>
￼￼￼Mon Dec 22 00:24:42 GMT+100 2014 - Your http domain (127.0.0.1) is different from the chat domain (localhost). This will cause
problems with the chat functionality. Please check kune.properties on the server.

Associated revisions
Revision b2483521 - 12/22/2014 09:57 AM - Vicente J. Ruiz Jurado

Fixed exception when load kune in inbox (in a wave) and you try to set your prefs. Fix #587

Revision 193d5e18 - 12/22/2014 09:58 AM - Vicente J. Ruiz Jurado

Fixed exception when load kune in inbox (in a wave) and you try to set your prefs. Fix #587

History
#1 - 12/22/2014 07:13 PM - Vicente J. Ruiz Jurado
- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset commit:b248352192050e5f4d1908c8bb719346ca724c27.

05/11/2024 2/3



05/11/2024 3/3


